{% load i18n static %}<!DOCTYPE html>
{% get_current_language as LANGUAGE_CODE %}{% get_current_language_bidi as LANGUAGE_BIDI %}
<html lang="{{ LANGUAGE_CODE|default:"en-us" }}" {% if LANGUAGE_BIDI %}dir="rtl"{% endif %}>
<head>
    <title>{% block title %}{% endblock %}</title>
    <link rel="stylesheet" type="text/css"
          href="{% block stylesheet %}{% static "admin/elg/css/elg-base.css" %}{% endblock %}">
    <link rel="icon" type="image/png" sizes="16x16"
          href="https://www.european-language-grid.eu/wp-content/themes/elg_theme/fab/image/favicon/favicon-16x16.png">
{#    <link rel="stylesheet" type="text/css"#}
{#          href="https://cdnjs.cloudflare.com/ajax/libs/izitoast/1.4.0/css/iziToast.min.css">#}
{#    <link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet"#}
{#          integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">#}
{#    <script src="http://ajax.googleapis.com/ajax/libs/jquery/2.1.0/jquery.min.js"></script>#}
{#    <script src="https://cdnjs.cloudflare.com/ajax/libs/izitoast/1.4.0/js/iziToast.min.js"></script>#}
    {% block extrastyle %}{% endblock %}
    {% if LANGUAGE_BIDI %}
        <link rel="stylesheet" type="text/css"
              href="{% block stylesheet_rtl %}{% static "admin/css/rtl.css" %}{% endblock %}">{% endif %}
    {% block extrahead %}{% endblock %}
    {% block responsive %}
        <meta name="viewport" content="user-scalable=no, width=device-width, initial-scale=1.0, maximum-scale=1.0">
        <link rel="stylesheet" type="text/css" href="{% static "admin/css/responsive.css" %}">
        {% if LANGUAGE_BIDI %}
            <link rel="stylesheet" type="text/css" href="{% static "admin/css/responsive_rtl.css" %}">{% endif %}
    {% endblock %}
    {% block blockbots %}
        <meta name="robots" content="NONE,NOARCHIVE">{% endblock %}
</head>
{% load i18n %}

<body class="{% if is_popup %}popup {% endif %}{% block bodyclass %}{% endblock %}"
      data-admin-utc-offset="{% now "Z" %}">

<!-- Container -->
<div id="container">

    {% if not is_popup %}
        <!-- Header -->
        <div id="header">
            <div id="branding">
                {% block branding %}{% endblock %}
            </div>
            <div id="notifications" style="float: left; display: inline-block"></div>
            {% block usertools %}
                {% if has_permission %}
                    <div id="user-tools">
                        {% block welcome-msg %}
                            {% trans 'Welcome,' %}
                            <strong>{% firstof user.get_short_name user.get_username %}</strong>.
                        {% endblock %}
                        {% block userlinks %}
                            {% if site_url %}
                                <a href="{{ site_url }}catalogue/">{% trans 'Back to Catalogue' %}</a>
                            {% endif %}
                            {#                {% if user.is_active and user.is_staff %}#}
                            {#                    {% url 'django-admindocs-docroot' as docsroot %}#}
                            {#                    {% if docsroot %}#}
                            {#                        <a href="{{ docsroot }}">{% trans 'Documentation' %}</a> /#}
                            {#                    {% endif %}#}
                            {#                {% endif %}#}
                            {#                <a href="/catalogue_backend/admin/logout">{% trans 'Log out' %}</a>#}
                        {% endblock %}
                    </div>
                {% endif %}
            {% endblock %}
            {% block nav-global %}{% endblock %}
        </div>
        <!-- END Header -->
        {% block breadcrumbs %}
            <div class="breadcrumbs">
                <a href="{% url 'admin:index' %}">{% trans 'Home' %}</a>
                {% if title %} &rsaquo; {{ title }}{% endif %}
            </div>
        {% endblock %}
    {% endif %}

    {% block messages %}
        {% if messages %}
            <ul class="messagelist">{% for message in messages %}
                <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message|capfirst }}</li>
            {% endfor %}</ul>
        {% endif %}
    {% endblock messages %}

    <!-- Content -->
    <div id="content" class="{% block coltype %}colM{% endblock %}">
        {% block pretitle %}{% endblock %}
        {% block content_title %}{% if title %}<h1>{{ title }}</h1>{% endif %}{% endblock %}
        {% block content %}
            {% block object-tools %}{% endblock %}
            {{ content }}
        {% endblock %}
        {% block sidebar %}{% endblock %}
        <br class="clear">
    </div>
    <!-- END Content -->

    {% block footer %}
        <div id="footer"></div>{% endblock %}
</div>
<!-- END Container -->
</body>
{#<script>#}
{#    function notifyUser(level, from, message, id) {#}
{#        window["iziToast"][level]({#}
{#            id: id,#}
{#            title: 'ELG System',#}
{#            message: message,#}
{#            iconUrl: 'https://www.european-language-grid.eu/wp-content/themes/elg_theme/fab/image/favicon/favicon-16x16.png',#}
{#            close: false,#}
{#            timeout: false,#}
{#            buttons: [#}
{#                ['<button id="60" style="display: block!important; opacity: 1!important">OK</button>', function (instance, toast) {#}
{#                    instance.hide({#}
{#                        transitionOut: 'fadeOutUp',#}
{#                        onClosing: deleteMessage(message, id)#}
{#                    }, toast, 'buttonName');#}
{#                }, true]#}
{#            ]#}
{#        });#}
{#    }#}
{##}
{#    function deleteMessage(message, id) {#}
{#        notificationSocket.send(JSON.stringify({#}
{#            'message': {#}
{#                type: 'read.message',#}
{#                id: id#}
{#            }#}
{#        }));#}
{#    }#}
{##}
{#    console.log(typeof notif);#}
{##}
{#    function checkNumber() {#}
{#        if ($('.iziToast-wrapper').children().length > 1) {#}
{#            iziToast.show({#}
{#                message: 'Welcome!',#}
{#                buttons: [#}
{#                    ['<button>DELETE ALL</button>', function () {#}
{#                        deleteAll($('.iziToast-wrapper').children())#}
{#                    }, true]]#}
{#            })#}
{#        }#}
{#    }#}
{##}
{#    function deleteAll(notifications) {#}
{#        notifications.each(#}
{#            function () {#}
{#                $(this).hide({#}
{#                    transitionOut: 'fadeOutUp'#}
{#                });#}
{#            }#}
{#        );#}
{#        notificationSocket.send(JSON.stringify({#}
{#            'message': {#}
{#                type: 'delete-user-messages'#}
{#            }#}
{#        }));#}
{#    }#}
{##}
{#    var group = "{{ request.user.keycloak_id|escapejs }}";#}
{#    var notificationSocket = new WebSocket(#}
{#        'ws://' + window.location.host +#}
{#        '/catalogue_backend/ws/notifications/' + group + '/');#}
{##}
{#    notificationSocket.onmessage = function (e) {#}
{#        let data = JSON.parse(e.data);#}
{#        let from = data['system-message']['from'];#}
{#        let message = data['system-message']['text'];#}
{#        let level = data['system-message']['level'];#}
{#        let id = data['system-message']['id'];#}
{#        notifyUser(level, from, message, id);#}
{#    };#}
{##}
{#    notificationSocket.onclose = function (e) {#}
{#        console.error('Socket closed unexpectedly');#}
{#    };#}
{##}
{##}
{#    checkNumber()#}
{#</script>#}
</html>
